import json

def lexique_to_html(lexique):
    s = """<table border="1">"""
    keys = lexique[0].keys()
    keys_str = "".join(map(lambda e:"<TH>{}</TH>".format(e), keys))
    s += "<TR>{}</TR>".format(keys_str)
    def ligne(obj):
        ligne = "".join(["<TD>{}</TD>\n".format(obj[e]) for e in keys])
        return '<TR>\n{}</TR>\n'.format(ligne)
    s += "\n".join(list(map(lambda e:ligne(e), lexique)))
    s += "</table>"
    return s

with open("lexique.json") as f:
    lexique = json.load(f)

with open("lexique.html", "w") as f:
    with open("head.html") as g:
        f.write(g.read())       
    f.write(lexique_to_html(lexique) )p           
    with open("foot.html") as g:
        f.write(g.read())
